{
  lib,
  config,
  username,
  ...
}:
let
  cfg = config.nh;
in
{
  options = {
    nh = {
      enable = lib.mkEnableOption "Enable nh in NixOS & home-manager";
    };
  };
  config = lib.mkIf cfg.enable {
    programs.nh = {
      enable = true;
      flake = "/home/ryan/.nixos-config";
    };
    home-manager.users.${username} = { };
  };
}
